@font-face {
  font-family: "Josephsophia Regular";
  src: url("../src/fonts/josephsophia.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Montserrat Light";
  src: url("../src/fonts/montserratlight.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Montserrat-SemiBold";
  src: url("../src/fonts/Montserrat-SemiBold.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}


/* You can add global styles to this file, and also import other style files */
body{
  /*background-image: url('../src/assets/fondos/blanco.png');
  background-repeat: repeat-x repeat-y;
  background-size: 80%;
     */
      margin: 0;
      height: 100vh;
} 

.contenedorImg{ 
  position: relative;
  display: inline-block;
  text-align: center;
  height: 480px;
  width: 100%;
}

.contenedorImg_resp {
  object-fit: cover; /* Ajusta la imagen para cubrir completamente el contenedor sin distorsionar su relación de aspecto */
  height: 100%; /* Asegura que la imagen ocupe la altura completa del contenedor */
  width: 100%; /* Asegura que la imagen ocupe el ancho completo del contenedor */
}

.contenedorImgLogo{ 
  position: relative;
  display: inline-block;
  text-align: center;
  height: 100px;
  width: 250px;
}

.contenedorImgLogo_resp {
  object-fit: cover; /* Ajusta la imagen para cubrir completamente el contenedor sin distorsionar su relación de aspecto */
  height: 100%; /* Asegura que la imagen ocupe la altura completa del contenedor */
  width: 100%; /* Asegura que la imagen ocupe el ancho completo del contenedor */
}


.contenedorImgN{ 
  position: relative;
  display: inline-block;
  text-align: center;
}

.centradoTextoImg{
  position: absolute;
  top: 35%;
  left: 0;
  right: 0;
  
}

.centradoTextoImgN{
  position: absolute;
  bottom: 35%;
  left: 0;
  right: 0;
}

.centradoArteImg{
  position: absolute;
  top: 30%;
  left: 0;
  right: 0;
  width: 100%;
}

.centradoArteImgN{
  position: absolute;
  bottom: 5%;
  left: 0;
  right: 0;
  width: 100%;
}

.fondoCabecera{
  background-color: white;
  margin: 0;
    
}

.fuente-mon{
  
  font-family: 'Montserrat';
                          font-weight: bold;
}

ngb-carousel .wrapper {

  position: relative;
  padding-top: 50%; /* Keep ratio for 900x500 images */

}

ngb-carousel .wrapper>img {

  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;

}

.barraTitulo{
  height: 80px; 
  background-color: #4E6B30;
  width: 100%;
  margin-left: 12px;
  

} 

.barraTitulo1{
height: 70px; 
background-color: #4E6B30;
width: 100%;
}

.textoTitulo{
  color: white;
  margin-top: 9px;
  font-size: 50px;
}

.tituloVerde{
color: #ffffff;
font-family: "Montserrat-SemiBold", sans-serif;


}

.iniciar{
color: #755018;
font-size: 18px;
}

.texto-mikuy{
color: #755018;
font-size: 20px;
}

.centrado{
position: absolute;
top: 3%;
margin-left: auto;
margin-right: auto;
}

.contenedor1{
position: relative;
display: inline-block;
text-align: center;
width: 100%;
}

.textoSubTitulo{
color: white;
font-size: calc(1em + 1vw);;
}

.fondoClaro{

background-image: url("../src/assets/fondos/verdeTitulopng.png");

}

.textoBlanco{
  color: white;
font-size: 25px;
}

.textoBlancoProductos{
color: white;
font-size: 17px;
padding-top: 6%;
font-weight: bold;
}

.textoPrecioProductos{
color: black;
font-size: 20px;
padding-top: 6%;
font-weight: bold;
}

.spacioRosa{
  border-start-end-radius: 20px;
  border-end-end-radius: 20px;
  background-color: #ff7096;
  height: 50px;
  width: "100%";
  
  box-shadow: inset  -2px -2px #fc1616;
}



.spacioGrandeRosa{
height: 230px;
width: "100%";
margin-top: 7%;
}

.spacioGrandeAmarillo{
border-start-end-radius: 100px;
border-end-end-radius: 100px;
background-color: #FFD56E;
height: 180px;
width: "100%";
}

.imagcenter{
padding-top: 0%;
}

.boton{
color: white!important;
background-color: #B17F4A;
border-radius: 0;
width: 200px
}

.botonI{
  color: white!important;
  background-color: #CA9E67;
  border-radius: 0;
  width: 100px
  }

  .botonC{
    color: white!important;
    background-color: #B17F4A;
    border-radius: 0;
    width: 50px
    }

    .botonC:hover {
      color: #B17F4A!important;
      background-color: #ffffff;
      border-color: #B17F4A;
      }

.boton:hover {
color: black!important;
background-color: #ffffff;
}

.pagination-green  {
  color: #CA9E67;
}

.pagination-green .page-link:hover {
  background-color: #CA9E67;
}

.pagination-green .page-item.active .page-link {
  background-color: #CA9E67;
  background-color: #CA9E67;
  border-color: #CA9E67;
}

.fa-btn {
  color:white;
}

.fa-btn:hover {
  color: #CA9E67;
}

.botonOP {
  color:white;
  background-color: #CA9E67;
}

.botonOP:hover {
  color: #CA9E67;
  background-color:white;
}


.botonI:hover {
  color: black!important;
  background-color: #ffffff;
 
  }

.espacioTomate{
margin-left: -24px;
background-color: #CA9E67;
height: 100px;
color: #000000;

}

.espacioAmarillo{
margin-left: -24px;
background-color: #FFE6A9;
height: 50px;
margin-top: 10px;
}
.espacioPrecio{
  margin-left: -24px;
  background-color: #432918;
  height: 60px;
  
  }
  

.botongris{
color: #735C15 !important;
background-color: #D7D0BF;
height: 37px;
width: 100%;

}

.table-row-color{
  background-color: #D7D0BF;
  color: #735C15;
}

.table-row-alternate{
  background-color: #ffffff;
  color: #735C15;
}

.botongris:hover {
color: #735C15!important;
background-color: #ffffff;
font-weight: bold;
}

.piedepagina{
height: 225px; 
background-color: #81a155;
width: 100%;

}

.colorBuscar{
background-color: #735C15;
font-weight: bold;
border-radius: 0%;
color: #ffffff;
}

.espacioVerde{
border-start-end-radius: 20px;
border-end-end-radius: 20px;
background-image: url("../src/assets/fondos/verdeTitulopng.png");
height: 50px;
width: "100%";
}

.espacioTituloAmarillo{
border-start-end-radius: 20px;
background-color: #FDC700;
height: 50px;
width: "100%";
}

.espacioTituloGris{
border-start-end-radius: 20px;
border-start-start-radius: 20px;
margin-top: 17px;
background-color: #CFCECE;
height: 33px;
width: "100%";

}

.textocafeSubtitulo{
color: #755018;
font-size: 25px;
font-weight: bold;
}

.textoInput{
  color: #735C15;
  border-radius: 0%;
  
}

.textoInput::placeholder {
  color: #735C15; /* Color del texto del placeholder */
}

.textoInput:-ms-input-placeholder {
  color: #735C15; /* Color del texto del placeholder en Microsoft Edge */
}

.textoInput::-ms-input-placeholder {
  color: #735C15; /* Color del texto del placeholder en Microsoft Internet Explorer */
}

.textoInput::placeholder-shown {
  border-color: #735C15; /* Color del borde cuando el placeholder está visible */
}

.textoInput:focus::placeholder {
  color: transparent; /* Ocultar el texto del placeholder al enfocar el input */
}

.textoInput:focus {
  border-color: #735C15; /* Color del borde al hacer clic en el input */
  box-shadow: 0 0 0 2px #735C15; /* Estilo de sombra al hacer clic en el input */
}

.texto-mikuy-medio{
color: #755018;
font-size: calc(0.5em + 1vw);
margin-left: 5%;
margin-right: 5%;
white-space: break-word;
}

.textoCuadroMediano{
color: white;
font-size: 1.3em;
font-weight: bold;
}

.miCont{
  white-space: break-word;
}

.textoCuadroPequeno{
color: white;
font-size: 1.3em;
font-weight: bold;
}

.espacioVerdeDerecho{

background-color: #66c12d;
background-image: url("../src/assets/fondos/verdeTitulopng.png");
width: "100%";
margin-left: -15px;
}

.spacioExtraeAmarillo{
border-start-end-radius: 200px;
border-end-end-radius: 200px;
background-color: #FFD56E;
padding-bottom: 10%;
width: "100%";
}

.cuadradoRosa{
border-start-end-radius: 20px;
border-start-start-radius: 20px;
border-end-start-radius: 20px;
border-end-end-radius: 20px;
background-color: #F18D84;
height: 420px;
margin-top: 10px;
width: 375px;
text-align: center;
}


.spacioExtraeRosa{
border-start-end-radius: 200px;
border-end-end-radius: 200px;
background-color: #F18D84;
padding-bottom: 10%;
width: "100%";
}

.espacioVerdeRed{
border-start-end-radius: 20px;
border-end-start-radius: 20px;
border-start-start-radius: 20px;
border-end-end-radius: 20px;
background: #66c12d;
  background-image: url("../src/assets/fondos/verdeTitulopng.png");
height: 50px;
width: "100%";
}

.error{
color: red;
}

.disMenu{
background: #4E6B30;
}

.colorVerde1{
background-color: #A0C64D;
color: white;
}

.botonVerde{
background: #4E6B30;
color: white;
}

.botonAmartillo{
background: #F18D84;
color: black;
}

.bg-cover {
  background-attachment: static;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  
}

.textImg{
  margin-top: 10%;
}

.yaqOZd {
  -webkit-background-size: cover;
  background-size: cover;
  display: table;
  position: relative;
  table-layout: fixed;
  width: 100%;
}

.titulo{
  color: white;
  background: #735C15;
  font-size: calc(1.5em + 1vw);
  background-repeat: repeat-x repeat-y;
  font-family: "Josephsophia Regular", sans-serif;
}

.tituloCafe{
  color: white;
  background: #735C15;
  font-size: calc(1.5em + 1vw);
  background-repeat: repeat-x repeat-y;
}

.fondocafe{
  background: #735C15;
  
}

.tituloEventos{
  color: #000000;
  font-family: 'Montserrat Light', sans-serif;
  font-weight: bold;
}

.subtituloEventos{
  color: #735C15;
  font-family: 'Montserrat Light', sans-serif;
}


.fondoblanco{
  background: #ffffff;
  margin-left: 1%;
  margin-right: 1%;
}

.fondoblancoE{
  background: #D7D0BF;
  height:300px;
  color: #000000;
  
}

.fondoblancoR{
  background: #EDEDED;
  height:300px;
  color: #000000;
  
}

.fondoblancoC{
  background: #F6F6F6;
  height:300px;
  color: #000000;
  
}

.fondoblancoC2{
  background: #CA9E67;
  height:300px;
  color: #000000;
  
}

.fondoblancoR2{
  background: #CA9E67;
  height:300px;
  color: #000000;
  
}

.fondoSubC{
  background: #B17F4A;
  height:50px;
  color: #ffffff;
  
}

.link-pdf {
  color: white;
  text-decoration: none;
  padding-right: 10px;
}

.link-pdf:hover {
  color: white;
  text-decoration: underline;
}

.link-video {
  color: white;
  text-decoration: none;
  padding-left: 10px;
}

.link-video:hover {
  color: white;
  text-decoration: underline;
}


.hover-bg-white {
  background-color: #D7D0BF;
  transition: background-color 0.3s; 
}

.hover-bg-white:hover {
  background-color: white; 
}

.row{
  display: flex;
  align-items: center;
  justify-content: center;
}

.row.justify-content-center {
  margin-bottom: -20px; /* Reduce el espacio entre las filas */
}

.color-verde{
  color: rgb(78, 107, 48);
}
.subtitulo{
  background: #CA9E67;
  
}

.sub-header{
  color: #000000;
  margin-left: 5%;
  margin-right: 5%;
  font-family: 'Montserrat Light', sans-serif;
  font-size: 16px;
}

.sub-header.textoInput {
  color: #735C15;
}


.sub-description{
  color: #ffffff;
  font-family: 'Montserrat Light', sans-serif;
  font-size: 18px;
} 

.sub-description1{
  color: #ffffff;
  font-family: 'Montserrat Light', sans-serif;
  font-size: 15px;
} 

.contenedorImgProductos:hover .imagen{
  -webkit-transform:scale(1.3);
  transform:scale(1.3);
  transition:all .5s ease-in-out;
}
.imagenCuadroContenedor {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  margin: 10px;
  height: 350px; /* Ajusta la altura deseada en píxeles */
}

.imagenCuadroContenedor-izquierda {
  margin-left:15% ;
  margin-right: -6px;
  margin-bottom: 5%;
}
.imagenCuadroContenedor-derecha {
  margin-left: -6px;
  margin-right: 15%;
  margin-bottom: 5%;
}


.imagenCuadroMediano{
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: cover; /* Ajusta el tamaño y la forma de la imagen */
  border: 1px solid #ccc;
}

.contenedorImgProductos{
  overflow:hidden;
  
  margin-left: auto;
  margin-right: auto;
  width: 200px;
	height: 200px;
	object-fit: none;
}

.contenedorImgMikuy:hover .imagen{
  -webkit-transform:scale(1.3);
  transform:scale(1.3);
  transition:all .5s ease-in-out;
}

.contenedorImgMikuy{
  overflow:hidden;
  border: 5px outset #66c12d;
  margin-left: auto;
  margin-right: auto;;
  width: 100%;
	height: 100%;
	object-fit: none;
}

.containerImg {
  width: 200px;
  height: 200px;
  overflow: hidden;
  margin: 5px;
  position: relative;
}
.containerImg > .cropImg {
  position:absolute;
  left: -50%;
  right: -50%;
  top: -100%;
  bottom: -100%;
  margin: auto;
  min-height: 50%;
  min-width: 50%;
}

.contenedorImgLogos:hover .imagen{
  -webkit-transform:scale(1.3);
  transform:scale(1.3);
  transition:all .5s ease-in-out;
}

.contenedorImgLogos{
  background: white;
  overflow:hidden;
 
  margin-left: auto;
  margin-right: auto;;
  width: 100px;
	height: 100px;
	object-fit: none;
  margin-bottom: 5%;
  padding: 2%;
}



.contenedorImgLargo{
  overflow:hidden;
  
  margin-left: auto;
  margin-right: auto;
  width: 100%;
	height: 400px;
	object-fit: none;
}

.btn-whatsapp {
  display:block;
  width:70px;
  height:70px;
  color:#fff;
  position: fixed;
  right:20px;
  bottom:50px;
  border-radius:50%;
  line-height:80px;
  text-align:center;
  z-index:999;
}

.texto-derecha {
  text-align: right;
}

.whatsapp-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 60px;
  background-color: green;
  border-radius: 50%;
  z-index: 9999;
}

.whatsapp-icon {
  width: 30px;
  height: 30px;
  fill: white;
}
